
//
//  Copyright 2004 Renaud Sizaire
//
//  This file is part of keyFE2.
//
//  keyFE2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  keyFE2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with keyFE2; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#include <iostream>
#include <iomanip>

#include "init.h"
#include "test/test.h"
#include "err/err.h"
#include "print/print.h"
#include "util/utils.h"

using namespace std ;
using namespace keyFE2 ;



int main(int argc,char *argv[]) {
  try {
    
    init();
    
    print::setBoolWrite(true);
    
//    constr1_test1();
//    exit(0);
    
    //  for (int i=0;i<1000000;i++) {
    //    cerr << i << endl ;
    //    constr1_test1();
    //  }
    //  exit(0);
    
    for (int i=0;i<10;i++) {
      cout << setw(70) << i << endl ;
      domain_test1();
      
      interp_test1();
      interp_test2();
      interp_test3();
      
      Array_test1();
      Array_test2();
      Array_test3();
      
      arrayOp1_test1();
      arrayOp1_test2();
      
      arrayComp_test1();
      arrayComp_test2();
      
      arrayOp2_test1();
      arrayOp2_test2();
      arrayOp2_test3();
      arrayOp2_test4();
      arrayOp2_test5();
      arrayOp2_test6();
      arrayOp2_test7();
      
      corlocDeriv_test1();
      corlocDeriv_test2();
      corlocDeriv_test3();
      corlocDeriv_test4();
      corlocDeriv_test5();
      
      explicitDeriv_test1();
      explicitDeriv_test2();
      
      globloc_test1();
      globloc_test2();
      globloc_test3();
      globloc_test4();
      globloc_test5();
      
      solver_test1();
      solver_test2();
      //    solver_test3();
      solver_test4();
      
      //    constr1_test1();
    }
    exit(0);
    
    for (int i=0;i<1000000;i++) {
      cout << setw(70) << i << endl ;
      domain_test1();
      
      interp_test1();
      interp_test2();
      
      Array_test1();
      Array_test2();
      Array_test3();
      
      arrayOp1_test1();
      arrayOp1_test2();
      
      arrayComp_test1();
      arrayComp_test2();
      
      arrayOp2_test1();
      arrayOp2_test2();
      arrayOp2_test3();
      arrayOp2_test4();
      arrayOp2_test5();
      arrayOp2_test6();
      arrayOp2_test7();
      
      corlocDeriv_test1();
      corlocDeriv_test2();
      corlocDeriv_test3();
      corlocDeriv_test4();
      corlocDeriv_test5();
      
      explicitDeriv_test1();
      explicitDeriv_test2();
      
      globloc_test1();
      globloc_test2();
      globloc_test3();
      globloc_test4();
      globloc_test5();
      
      solver_test1();
      solver_test2();
      solver_test3();
      solver_test4();
      
      constr1_test1();
    }
  }
  catch(err brol) {
    brol.exec();
    exit(0);
  }
}
