#ifndef FUNCTIONS_H
#define FUNCTIONS_H

//
//  Copyright 2004 Renaud Sizaire
//
//  This file is part of keyFE2.
//
//  keyFE2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  keyFE2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with keyFE2; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#include "function/function1.h"
#include "function/DMult.h"
#include "function/DPowMult.h"
#include "function/DExp.h"
#include "function/DSin.h"
#include "function/DCos.h"
#include "function/DSinCos.h"
#include "function/DConst.h"
#include "function/DSinh.h"
#include "function/DCosh.h"
#include "function/DTanh.h"

#include "function/DpwLinear4.h"
#include "function/DpwLinear3.h"
#include "function/DpwLinear2.h"
#include "function/DpwLinear1.h"
#include "function/DpwConst4.h"
#include "function/DpwConst3.h"
#include "function/DpwConst2.h"
#include "function/DpwConst1.h"

#include "function/DUpwind.h"

#endif
