
//
//  Copyright 2004 Renaud Sizaire
//
//  This file is part of keyFE2.
//
//  keyFE2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  keyFE2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with keyFE2; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#include <iostream>
#include <iomanip>
#include <typeinfo>

#include "boolZero.h"
#include "err/err.h"

using namespace std ;
using namespace keyFE2 ;



boolZero::boolZero(void) {
  boolZeroValue=true;
}



boolZero::boolZero(const boolZero &in) {
  boolZeroValue=true;
}



void boolZero::setBoolZeroValue(bool b) {
  boolZeroValue=b;
}



bool boolZero::getBoolZeroValue(void) const {
  return(boolZeroValue);
}



bool boolZero::updateBoolZeroValue(void) {
  errThrow("boolZero::updateBoolZeroValue",
	   "call meaningless with boolZero base class object.");
}

